Bug 256535 - Background color of the Find box is hardcoded (makes reading impossible with dark schemes)
Summary: Background color of the Find box is hardcoded (makes reading impossible with ...
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.6.1
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-10 18:15 UTC by niburu1
Modified: 2011-03-21 22:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description niburu1 2010-11-10 18:15:30 UTC
Version:           0.6.1 (using KDE 4.5.3) 
OS:                Linux

The background color of the Find box appers to be hardcoded a light blue when possible matches are present and a pinkish red when no possible matches are found. This makes the font (whose color appears to be inherited by the system color scheme) unreadable when using certain (typically dark) color schemes.

Reproducible: Always

Steps to Reproduce:
1. Select Obsidian Coast color scheme
2. Visit a webpage and enter a search string into the Find box where matches exist.
3. Squint hard to read the search string in the box.

Actual Results:  
Eyestrain

Expected Results:  
Readable text
Comment 1 niburu1 2010-11-10 18:19:43 UTC
I should mention that the same is true of the url bar, at least when the page is secured with SSL (in which the font is black--with Obsidian coast this produces black font on *dark blue* progress background). Perhaps this should be filed as a separate bug.
Comment 2 Andrea Diamantini 2011-03-21 22:47:22 UTC
Git commit f843422c46a9efa5d3f50d4cdb99a5e4ee71769f by Andrea Diamantini. on behalf of Felix Rohrbach
Committed on 21/03/2011 at 22:51.
Pushed by adjam into branch 'master'.

Better color integration for the urlbar and the findbar

BUG:256535

M  +5    -3    src/findbar.cpp     
M  +4    -2    src/urlbar/urlbar.cpp     

http://commits.kde.org/rekonq/f843422c46a9efa5d3f50d4cdb99a5e4ee71769f